#include "descriptor/descriptor.h"
#include <string.h>


int main(void) {

/*
extern void _set_projection_texture(ITEM it, ITEM a1, 
				    char *im_name,
				    int ax_flag, int r_flag,
				    float pa, float pd);

extern void _set_domain_texture(ITEM it, ITEM a1, 
				char *im_name,
				float umin, float umax, 
                                float vmin, float vmax,
				int r_flag,
				float pa, float pd);

extern void _set_border_texture(ITEM it, ITEM a1, ITEM a2, 
				double umin, double umax, 
                                double vmin, double vmax);
*/

  int   i;

  ITEM	glass,trueblack,grey;			 

  ITEM  Giallo,
        Gomma,
        Blue,
        BlueAcceso,
        GrigioChiaro,
        Metallo,
        VetroTruck,
        Black,
        Rosso;


  ITEM  scene,
	Truk,
	Environment;

  ITEM  Cabina, 
	CabinaAlettaDx,
	CabinaAlettaSx,
	CabinaAltaPiano,
	CabinaAltaSmussoAnteriore,
	CabinaAltaSmussoLaterale,
	CabinaDietro,
	CabinaListelloAlto,
	CabinaMusoAlto,
	CabinaMusoBasso,
	CabinaMusoVetro,
	CabinaPianoAvanti,
	CabinaPianoDietro,
	CabinaSportelloDietroDx,
	CabinaSportelloDietroSx,
	CabinaSupporto1,
	CabinaSupporto2,
	CabinaSupporto3,
	CabinaSupporto4,
	CabinaTettoAltoDietro,
	CabinaTettoAltoMuso,
	CabinaTettoAltoPiatto;


  ITEM  Codino,
	CodinoAlto,
	CodinoCabina,
	CodinoDx,
	CodinoFondo,
	CodinoSottoDx,
	CodinoSottoSx,
	CodinoSx;

  ITEM  Parafango,
	ParafangoDietroDx,
	ParafangoDietroLateraleDx,
	ParafangoDietroLateraleSx,
	ParafangoDietroSx,
	ParafangoDxCurvoInterno,
	ParafangoDxEsterno,
	ParafangoDxPiattoInterno,
	ParafangoSxCurvoInterno,
	ParafangoSxEsterno,
	ParafangoSxPiattoInterno;

  ITEM  Paraurti,
	ParaurtiBasso,
	ParaurtiRadiatore;

  ITEM  RuotaDx,
	RuotaDxBattistrada,
	RuotaDxCopricerchio1,
	RuotaDxCopriCerchio2,
	RuotaDxLato1,
	RuotaDxLato2,
	RuotaDxPost1Batistrada,
	RuotaDxPost1Copricerchio,
	RuotaDxPost1Lato1,
	RuotaDxPost1Lato2,
	RuotaDxPost2Batistrada,
	RuotaDxPost2Copricerchio,
	RuotaDxPost2Lato1,
	RuotaDxPost2Lato2;

  ITEM  RuotaSx,
	RuotaSxBatistrada,
	RuotaSxCopricerchio1,
	RuotaSxCopriCerchio2,
	RuotaSxLato1,
	RuotaSxLato2,
	RuotaSxPost1Batistrada,
	RuotaSxPost1CopriCerchio,
	RuotaSxPost1Lato1,
	RuotaSxPost1Lato2,
	RuotaSxPost2Batistrada,
	RuotaSxPost2Copricerchio,
	RuotaSxPost2Lato1,
	RuotaSxPost2Lato2;

  ITEM  Scalini,
	ScaliniDxScasso,
	ScaliniDxSuperfice,
	ScaliniSxScasso,
	ScaliniSxSuperfice;

  ITEM  Sportello,
	SportelloDx,
	SportelloFinestrinoDx,
	SportelloFinestrinoSx,
	SportelloSx;

  ITEM  Targa,
	TargaBarra,
	TargaBarraDx,
	TargaBarraSx;

  // Ambiente
  ITEM  pilagomme[6],		 
	gommapilasotto,		 
	gommapilasopra,		 
	gommapilacentro,	 
	murodietro,		 
	murosinistra,		 
	murodestra,		 
	muroavantipicc,		 
	muroavantigrande,	 
	muroavantigrandeplus,
	saracinesca,		 
	soffitto,		 
	strada,			 
	quadro1,		 
	quadro2,		 
	quadro3,		 
	ruotatavoloalto,	 
	ruotatavolobasso,	 
	ruotatavolocentro,	 
	tavolo,			 
        tavolopiede1,		 
        tavolopiede2,		 
        tavolopiede3;		 


//  set_x_rotate(oggetti, 90, 1);

  float fAmbientReflection = 0.001;


  set_background(0.676,0.861,0.953,TRUE);
  set_ambient_light(1,1,1,0.7);

  /*** TODO LUCI ***/
//  create_distant_light(14.889, 3.194, 5.195, 1,1,1, 1, "Luce Esterna2");
//  create_distant_light(1, 1, 1, 1,1,1, 1, "Luce Esterna2");
//  create_point_light(41.800, 1.44, 9.2, 1,1,1, 1,0, "LuceEsterna");
  create_point_light(37.95, 1.42, 20.58, 1,1,1, 1,0, "LuceEsterna2");


  /*** ATTRIBUTE Giallo ***/
  Giallo = create_attribute("Giallo");
  set_color(Giallo, 0.823, 0.643, 0.058, fAmbientReflection, 0.91);    // ambient & diffuse
  set_reflectivity(Giallo, 0.100, 2); 	    // specular & phong's exponent
  set_transparency(Giallo,0,0,0,1);



  /*** ATTRIBUTE Gomma ***/
  Gomma = create_attribute("Gomma");
  set_color(Gomma, 0.039, 0.039, 0.039, fAmbientReflection, 0.91);
  set_reflectivity(Gomma, 0, 2);
  set_transparency(Gomma,0,0,0,1);


  /*** ATTRIBUTE Blue ***/
  Blue = create_attribute("Blue");
  set_color(Blue, 0.004, 0.164, 0.407, fAmbientReflection, 0.7);
  set_reflectivity(Blue, 0.10, 2);
  set_transparency(Blue,0,0,0,1);

  /*** ATTRIBUTE BlueAcceso ***/
  BlueAcceso = create_attribute("BlueAcceso");
  set_color(BlueAcceso, 0.004, 0.164, 0.71, fAmbientReflection, 0.7);
  set_reflectivity(BlueAcceso, 0.30, 2);
  set_transparency(BlueAcceso,0,0,0,1);



  /*** ATTRIBUTE GrigioChiaro ***/
  GrigioChiaro = create_attribute("GrigioChiaro");
  set_color(GrigioChiaro, 0.58, 0.58, 0.58, fAmbientReflection, 0.91);
  set_reflectivity(GrigioChiaro,0.24,2);
  set_transparency(GrigioChiaro,0,0,0,1);


  /*** ATTRIBUTE Metallo ***/
  Metallo = create_attribute("metallo");
  set_color(Metallo, 0.376, 0.376, 0.376, fAmbientReflection, 0.91);
  set_reflectivity(Metallo, 0.40, 2);
  set_transparency(Metallo,0,0,0,1);


  /*** ATTRIBUTE Vetro ***/
  VetroTruck = create_attribute("VetroTruck");
  set_color(VetroTruck, 0.0, 0.0, 0.0, fAmbientReflection, 1);
  set_reflectivity(VetroTruck, 0.2, 15);
  set_transparency(VetroTruck,0,0,0,1);


  /*** ATTRIBUTE Black ***/
  Black = create_attribute("Black");
  set_color(Black, 0.0, 0.0, 0.0, fAmbientReflection, 1);
  set_reflectivity(Black, 0.0, 0);
  set_transparency(Black,0,0,0,1);


  /*** ATTRIBUTE Rosso ***/
  Rosso = create_attribute("Rosso");
  set_color(Rosso, 0.78, 0.0, 0.0, fAmbientReflection, 1);
  set_reflectivity(Rosso, 0.0, 0);
  set_transparency(Rosso,0,0,0,1);



  /*** ATTRIBUTE glass ***/
  glass = create_attribute("glass");
  set_color(glass,0.68,0.86,1,fAmbientReflection,0.5);
  set_reflectivity(glass,0.24,2);
  set_transparency(glass,0.87,0.68,1,1.2);


  /*** ATTRIBUTE trueblack ***/	
  trueblack = create_attribute("trueblack");
  set_color(trueblack,0,0,0,0,1);
  set_reflectivity(trueblack,0,15);
  set_transparency(trueblack,0,0,0,1);

  /*** ATTRIBUTE grey ***/	
  grey = create_attribute("grey");
  set_color(grey,0.5,0.5,0.5,fAmbientReflection,0.5);
  set_reflectivity(grey,0,10);
  set_transparency(grey,0,0,0,1);




//    Cabina 




  CabinaAlettaDx = read_nurbs("CabinaAlettaDx.db");
  set_attribute(CabinaAlettaDx, BlueAcceso);
//  set_translate(NomeOggetto,x,y,z);
//  set_scale(NomeOggetto,%x,%y,%z);
//  set_projection_texture(NomeOggetto,Materiale,"texture.hr",1,1,1,1);
//  set_scale(NomeOggetto,%1/x,%1/y,%1/z);
//  set_translate(NomeOggetto,-x,-y,-z);

  CabinaAlettaSx = read_nurbs("CabinaAlettaSx.db");
  set_attribute(CabinaAlettaSx, BlueAcceso);
//  set_domain_texture(NomeOggetto,Materiale,"texture.hr",0,1,0,1,1,0.5,0.5); 

  CabinaAltaPiano = read_nurbs("CabinaAltaPiano.db");
  set_attribute(CabinaAltaPiano, Giallo);
  set_projection_texture(CabinaAltaPiano, Giallo,"Texture/yellow.hr",1,1,fAmbientReflection,1);

  CabinaAltaSmussoAnteriore = read_nurbs("CabinaAltaSmussoAnteriore.db");
  set_attribute(CabinaAltaSmussoAnteriore, Giallo);
  set_projection_texture(CabinaAltaSmussoAnteriore, Giallo,"Texture/yellow.hr",1,1,fAmbientReflection,1);

  CabinaAltaSmussoLaterale = read_nurbs("CabinaAltaSmussoLaterale.db");
  set_attribute(CabinaAltaSmussoLaterale, Giallo);
  set_projection_texture(CabinaAltaSmussoLaterale, Giallo,"Texture/yellow.hr",1,1,fAmbientReflection,1);

  CabinaDietro = read_nurbs("CabinaDietro.db");
  set_attribute(CabinaDietro, Metallo);

  set_translate(CabinaDietro, 1.700000, -1.699983, -2.200008);
  set_z_rotate(CabinaDietro, 90, 1);
  set_scale(CabinaDietro,0.55,1.0,1.10);
  set_projection_texture(CabinaDietro, Giallo,"Texture/CabinaDietro.hr",1,0,fAmbientReflection,1);
  set_scale(CabinaDietro,1/0.55,1.0,1/1.1);
  set_z_rotate(CabinaDietro, -90, 1);
  set_translate(CabinaDietro, -1.700000, +1.699983, +2.200008);
  

  CabinaListelloAlto = read_nurbs("CabinaListelloAlto.db");
  set_attribute(CabinaListelloAlto, Giallo);
  set_projection_texture(CabinaListelloAlto, Giallo,"Texture/yellow.hr",1,1,fAmbientReflection,1);

  CabinaMusoAlto = read_nurbs("CabinaMusoAlto.db");
  set_attribute(CabinaMusoAlto, Giallo);
  set_projection_texture(CabinaMusoAlto, Giallo,"Texture/yellow.hr",1,1,fAmbientReflection,1);

  CabinaMusoBasso = read_nurbs("CabinaMusoBasso.db");
  set_attribute(CabinaMusoBasso, Giallo);
  set_projection_texture(CabinaMusoBasso, Giallo,"Texture/yellow.hr",1,1,fAmbientReflection,1);

  CabinaMusoVetro = read_nurbs("CabinaMusoVetro.db");
  set_attribute(CabinaMusoVetro, VetroTruck);

  CabinaPianoAvanti = read_nurbs("CabinaPianoAvanti.db");
  set_attribute(CabinaPianoAvanti, Blue);
  set_projection_texture(CabinaPianoAvanti, Blue,"Texture/blue.hr",1,1,fAmbientReflection,1);

  CabinaPianoDietro = read_nurbs("CabinaPianoDietro.db");
  set_attribute(CabinaPianoDietro, Blue);
  set_projection_texture(CabinaPianoDietro, Blue,"Texture/blue.hr",1,1,fAmbientReflection,1);

  CabinaSportelloDietroDx = read_nurbs("CabinaSportelloDietroDx.db");
  set_attribute(CabinaSportelloDietroDx, Giallo);
  set_projection_texture(CabinaSportelloDietroDx, Giallo,"Texture/yellow.hr",1,1,fAmbientReflection,1);

  CabinaSportelloDietroSx = read_nurbs("CabinaSportelloDietroSx.db");
  set_attribute(CabinaSportelloDietroSx, Giallo);
  set_projection_texture(CabinaSportelloDietroSx, Giallo,"Texture/yellow.hr",1,1,fAmbientReflection,1);

  CabinaSupporto1 = read_nurbs("CabinaSupporto1.db");
  set_attribute(CabinaSupporto1, Metallo);

  CabinaSupporto2 = read_nurbs("CabinaSupporto2.db");
  set_attribute(CabinaSupporto2, Metallo);

  CabinaSupporto3 = read_nurbs("CabinaSupporto3.db");
  set_attribute(CabinaSupporto3, Metallo);

  CabinaSupporto4 = read_nurbs("CabinaSupporto4.db");
  set_attribute(CabinaSupporto4, Metallo);

  CabinaTettoAltoDietro = read_nurbs("CabinaTettoAltoDietro.db");
  set_attribute(CabinaTettoAltoDietro, Giallo);
  set_projection_texture(CabinaTettoAltoDietro, Giallo,"Texture/yellow.hr",1,1,fAmbientReflection,1);

  CabinaTettoAltoMuso = read_nurbs("CabinaTettoAltoMuso.db");
  set_attribute(CabinaTettoAltoMuso, Giallo);
  set_projection_texture(CabinaTettoAltoMuso, Giallo,"Texture/yellow.hr",1,1,fAmbientReflection,1);

  CabinaTettoAltoPiatto = read_nurbs("CabinaTettoAltoPiatto.db");
  set_attribute(CabinaTettoAltoPiatto, Giallo);
  set_projection_texture(CabinaTettoAltoPiatto, Giallo,"Texture/yellow.hr",1,1,fAmbientReflection,1);





  CodinoAlto = read_nurbs("CodinoAlto.db");
  set_attribute(CodinoAlto, Blue);
  set_projection_texture(CodinoAlto, Blue,"Texture/blue.hr",1,1,fAmbientReflection,1);

  CodinoCabina = read_nurbs("CodinoCabina.db");
  set_attribute(CodinoCabina, Blue);
  set_projection_texture(CodinoCabina, Blue,"Texture/blue.hr",1,1,fAmbientReflection,1);

  CodinoDx = read_nurbs("CodinoDx.db");
  set_attribute(CodinoDx, Blue);
  set_translate(CodinoDx, 3.724838, -2.900040, -0.2500200);
  set_scale(CodinoDx,0.45,1.0,2.2);
  set_projection_texture(CodinoDx, Giallo,"Texture/CodinoFiancata.hr",1,0,fAmbientReflection,1);
  set_scale(CodinoDx,1/0.45,1.0,1/2.2);
  set_translate(CodinoDx, -3.724838, 2.900040, 0.2500200);


  CodinoFondo = read_nurbs("CodinoFondo.db");
  set_attribute(CodinoFondo, Metallo);

  CodinoSottoDx = read_nurbs("CodinoSottoDx.db");
  set_attribute(CodinoSottoDx, Blue);
  set_projection_texture(CodinoSottoDx, Blue,"Texture/blue.hr",1,1,fAmbientReflection,1);

  CodinoSottoSx = read_nurbs("CodinoSottoSx.db");
  set_attribute(CodinoSottoSx, Blue);
  set_projection_texture(CodinoSottoSx, Blue,"Texture/blue.hr",1,1,fAmbientReflection,1);

  CodinoSx = read_nurbs("CodinoSx.db");
  set_attribute(CodinoSx, Blue);
  set_translate(CodinoSx, 3.724838, -4.995000, -0.2500200);
  set_scale(CodinoSx,0.45,1.0,2.2);
  set_projection_texture(CodinoSx, Blue,"Texture/CodinoFiancata.hr",1,0,fAmbientReflection,1);
  set_scale(CodinoSx,1/0.45,1.0,1/2.2);
  set_translate(CodinoSx, -3.724838, 4.995000, 0.2500200);








  ParafangoDietroDx = read_nurbs("ParafangoDietroDx.db");
  set_attribute(ParafangoDietroDx, Blue);
  set_projection_texture(ParafangoDietroDx, Blue,"Texture/blue.hr",1,1,fAmbientReflection,1);

  ParafangoDietroLateraleDx = read_nurbs("ParafangoDietroLateraleDx.db");
  set_attribute(ParafangoDietroLateraleDx, Metallo);

  ParafangoDietroLateraleSx = read_nurbs("ParafangoDietroLateraleSx.db");
  set_attribute(ParafangoDietroLateraleSx, Metallo);

  ParafangoDietroSx = read_nurbs("ParafangoDietroSx.db");
  set_attribute(ParafangoDietroSx, Blue);
  set_projection_texture(ParafangoDietroSx, Blue,"Texture/blue.hr",1,1,fAmbientReflection,1);


  ParafangoDxCurvoInterno = read_nurbs("ParafangoDxCurvoInterno.db");
  set_attribute(ParafangoDxCurvoInterno, GrigioChiaro);

  ParafangoDxEsterno = read_nurbs("ParafangoDxEsterno.db");
  set_attribute(ParafangoDxEsterno, Blue);
  set_projection_texture(ParafangoDxEsterno, Blue,"Texture/blue.hr",1,1,fAmbientReflection,1);

  ParafangoDxPiattoInterno = read_nurbs("ParafangoDxPiattoInterno.db");
  set_attribute(ParafangoDxPiattoInterno, Black);


  ParafangoSxCurvoInterno = read_nurbs("ParafangoSxCurvoInterno.db");
  set_attribute(ParafangoSxCurvoInterno, GrigioChiaro);

  ParafangoSxEsterno = read_nurbs("ParafangoSxEsterno.db");
  set_attribute(ParafangoSxEsterno, Blue);
  set_projection_texture(ParafangoSxEsterno, Blue,"Texture/blue.hr",1,1,fAmbientReflection,1);

  ParafangoSxPiattoInterno = read_nurbs("ParafangoSxPiattoInterno.db");
  set_attribute(ParafangoSxPiattoInterno, Black);




  ParaurtiBasso = read_nurbs("ParaurtiBasso.db");
  set_attribute(ParaurtiBasso, Blue);
  set_projection_texture(ParaurtiBasso, Blue,"Texture/blue.hr",1,1,fAmbientReflection,1);

  ParaurtiRadiatore = read_nurbs("ParaurtiRadiatore.db");
  set_attribute(ParaurtiRadiatore, Blue);
  set_translate(ParaurtiRadiatore,-1.161482, -1.700170, -0.5500551);
  set_z_rotate(ParaurtiRadiatore, 90, 1);
  set_scale(ParaurtiRadiatore,0.55,1.0,1.80);
  set_projection_texture(ParaurtiRadiatore, Blue,"Texture/MascherinaAnteriore2.hr",1,0,fAmbientReflection,1);
  set_scale(ParaurtiRadiatore,1/0.55,1.0,1/1.80);
  set_z_rotate(ParaurtiRadiatore, -90, 1);
  set_translate(ParaurtiRadiatore,1.161482, 1.700170, 0.5500551);


  RuotaDxBattistrada = read_nurbs("RuotaDxBattistrada.db");
  set_attribute(RuotaDxBattistrada, Gomma);
  set_domain_texture(RuotaDxBattistrada, Gomma, "Texture/Battistrada.hr", 0.0, 0.1, 0.0, 1.0, 1, fAmbientReflection, 0.8);


  RuotaDxCopricerchio1 = read_nurbs("RuotaDxCopricerchio1.db");
  set_attribute(RuotaDxCopricerchio1, Metallo);

  RuotaDxCopriCerchio2 = read_nurbs("RuotaDxCopriCerchio2.db");
  set_attribute(RuotaDxCopriCerchio2, Metallo);
  set_scale(RuotaDxCopriCerchio2,1.70,1.0,1.70);
  set_projection_texture(RuotaDxCopriCerchio2, Metallo,"Texture/Truck_Wheel.hr",1,0,fAmbientReflection,1);
  set_scale(RuotaDxCopriCerchio2,1/1.70,1/1.0,1/1.7);


  RuotaDxLato1 = read_nurbs("RuotaDxLato1.db");
  set_attribute(RuotaDxLato1, Gomma);
  set_scale(RuotaDxLato1,1.70,1.0,1.70);
  set_projection_texture(RuotaDxLato1, Gomma,"Texture/Truck_Wheel.hr",1,0,fAmbientReflection,1);
  set_scale(RuotaDxLato1,1/1.70,1/1.0,1/1.7);



  RuotaDxLato2 = read_nurbs("RuotaDxLato2.db");
  set_attribute(RuotaDxLato2, Gomma);

  RuotaDxPost1Batistrada = read_nurbs("RuotaDxPost1Batistrada.db");
  set_attribute(RuotaDxPost1Batistrada, Gomma);
  set_domain_texture(RuotaDxPost1Batistrada, Gomma, "Texture/Battistrada.hr", 0.0, 0.1, 0.0, 1.0, 1, fAmbientReflection, 0.8);

  RuotaDxPost1Copricerchio = read_nurbs("RuotaDxPost1Copricerchio.db");
  set_attribute(RuotaDxPost1Copricerchio, Metallo);
  set_translate(RuotaDxPost1Copricerchio,+4.599845, -3.399922, 0.0);
  set_scale(RuotaDxPost1Copricerchio,1.70,1.0,1.70);
  set_projection_texture(RuotaDxPost1Copricerchio, Metallo,"Texture/Truck_Wheel.hr",1,0,fAmbientReflection,1);
  set_y_rotate(RuotaDxPost1Copricerchio, 50, 1);
  set_scale(RuotaDxPost1Copricerchio,1/1.70,1/1.0,1/1.7);
  set_translate(RuotaDxPost1Copricerchio,-4.599845, +3.399922, 0.0);

  RuotaDxPost1Lato1 = read_nurbs("RuotaDxPost1Lato1.db");
  set_attribute(RuotaDxPost1Lato1, Gomma);
  set_translate(RuotaDxPost1Lato1,+4.599845, -3.399922, 0.0);
  set_scale(RuotaDxPost1Lato1,1.70,1.0,1.70);
  set_projection_texture(RuotaDxPost1Lato1, Gomma,"Texture/Truck_Wheel.hr",1,0,fAmbientReflection,1);
  set_y_rotate(RuotaDxPost1Lato1, 50, 1);
  set_scale(RuotaDxPost1Lato1,1/1.70,1/1.0,1/1.7);
  set_translate(RuotaDxPost1Lato1,-4.599845, +3.399922, 0.0);



  RuotaDxPost1Lato2 = read_nurbs("RuotaDxPost1Lato2.db");
  set_attribute(RuotaDxPost1Lato2, Gomma);

  RuotaDxPost2Batistrada = read_nurbs("RuotaDxPost2Batistrada.db");
  set_attribute(RuotaDxPost2Batistrada, Gomma);
  set_domain_texture(RuotaDxPost2Batistrada, Gomma, "Texture/Battistrada.hr", 0.0, 0.1, 0.0, 1.0, 1, fAmbientReflection, 0.8);

  RuotaDxPost2Copricerchio = read_nurbs("RuotaDxPost2Copricerchio.db");
  set_attribute(RuotaDxPost2Copricerchio, Metallo);
  set_translate(RuotaDxPost2Copricerchio,+4.599845, -2.899923, 0.0);
  set_scale(RuotaDxPost2Copricerchio,1.70,1.0,1.70);
  set_projection_texture(RuotaDxPost2Copricerchio, Metallo,"Texture/Truck_Wheel.hr",1,0,fAmbientReflection,1);
  set_scale(RuotaDxPost2Copricerchio,1/1.70,1/1.0,1/1.7);
  set_translate(RuotaDxPost2Copricerchio,-4.599845, +2.899923, 0.0);  

  RuotaDxPost2Lato1 = read_nurbs("RuotaDxPost2Lato1.db");
  set_attribute(RuotaDxPost2Lato1, Gomma);
  set_translate(RuotaDxPost2Lato1,+4.599845, -2.899923, 0.0);
  set_scale(RuotaDxPost2Lato1,1.70,1.0,1.70);
  set_projection_texture(RuotaDxPost2Lato1, Gomma,"Texture/Truck_Wheel.hr",1,0,fAmbientReflection,1);
  set_y_rotate(RuotaDxPost2Lato1, 180, 1);
  set_scale(RuotaDxPost2Lato1,1/1.70,1/1.0,1/1.7);
  set_translate(RuotaDxPost2Lato1,-4.599845, +2.899923, 0.0);


  RuotaDxPost2Lato2 = read_nurbs("RuotaDxPost2Lato2.db");
  set_attribute(RuotaDxPost2Lato2, Gomma);






  RuotaSxBatistrada = read_nurbs("RuotaSxBatistrada.db");
  set_attribute(RuotaSxBatistrada, Gomma);
  set_domain_texture(RuotaSxBatistrada, Gomma, "Texture/Battistrada.hr", 0.0, 0.1, 0.0, 1.0, 1, fAmbientReflection, 0.8);

  RuotaSxCopricerchio1 = read_nurbs("RuotaSxCopricerchio1.db");
  set_attribute(RuotaSxCopricerchio1, Metallo);
  set_scale(RuotaSxCopricerchio1,1.70,1.0,1.70);
  set_projection_texture(RuotaSxCopricerchio1, Metallo,"Texture/Truck_Wheel.hr",1,0,fAmbientReflection,1);
  set_y_rotate(RuotaSxCopricerchio1, 45, 1);
  set_scale(RuotaSxCopricerchio1,1/1.70,1/1.0,1/1.7);


  RuotaSxCopriCerchio2 = read_nurbs("RuotaSxCopriCerchio2.db");
  set_attribute(RuotaSxCopriCerchio2, Metallo);

  RuotaSxLato1 = read_nurbs("RuotaSxLato1.db");
  set_attribute(RuotaSxLato1, Gomma);

  RuotaSxLato2 = read_nurbs("RuotaSxLato2.db");
  set_attribute(RuotaSxLato2, Gomma);
  set_scale(RuotaSxLato2,1.70,1.0,1.70);
  set_projection_texture(RuotaSxLato2, Gomma,"Texture/Truck_Wheel.hr",1,0,fAmbientReflection,1);
  set_y_rotate(RuotaSxLato2, 45, 1);
  set_scale(RuotaSxLato2,1/1.70,1/1.0,1/1.7);

  RuotaSxPost1Batistrada = read_nurbs("RuotaSxPost1Batistrada.db");
  set_attribute(RuotaSxPost1Batistrada, Gomma);
  set_domain_texture(RuotaSxPost1Batistrada, Gomma, "Texture/Battistrada.hr", 0.0, 0.1, 0.0, 1.0, 1, fAmbientReflection, 0.8);

  RuotaSxPost1CopriCerchio = read_nurbs("RuotaSxPost1CopriCerchio.db");
  set_attribute(RuotaSxPost1CopriCerchio, Metallo);
  set_translate(RuotaSxPost1CopriCerchio, +4.599923, 0.0, 0.0);
  set_scale(RuotaSxPost1CopriCerchio,1.70,1.0,1.70);
  set_projection_texture(RuotaSxPost1CopriCerchio, Metallo,"Texture/Truck_Wheel.hr",1,0,fAmbientReflection,1);
  set_y_rotate(RuotaSxPost1CopriCerchio, 130, 1);
  set_scale(RuotaSxPost1CopriCerchio,1/1.70,1/1.0,1/1.7);
  set_translate(RuotaSxPost1CopriCerchio, -4.599923, 0.0, 0.0);

  RuotaSxPost1Lato1 = read_nurbs("RuotaSxPost1Lato1.db");
  set_attribute(RuotaSxPost1Lato1, Gomma);
  set_translate(RuotaSxPost1Lato1, +4.599923, 0.0, 0.0);
  set_scale(RuotaSxPost1Lato1,1.70,1.0,1.70);
  set_projection_texture(RuotaSxPost1Lato1, Gomma,"Texture/Truck_Wheel.hr",1,0,fAmbientReflection,1);
  set_y_rotate(RuotaSxPost1Lato1, 130, 1);
  set_scale(RuotaSxPost1Lato1,1/1.70,1/1.0,1/1.7);
  set_translate(RuotaSxPost1Lato1, -4.599923, 0.0, 0.0);

  RuotaSxPost1Lato2 = read_nurbs("RuotaSxPost1Lato2.db");
  set_attribute(RuotaSxPost1Lato2, Gomma);

  RuotaSxPost2Batistrada = read_nurbs("RuotaSxPost2Batistrada.db");
  set_attribute(RuotaSxPost2Batistrada, Gomma);
  set_domain_texture(RuotaSxPost2Batistrada, Gomma, "Texture/Battistrada.hr", 0.0, 0.1, 0.0, 1.0, 1, fAmbientReflection, 0.8);
  
  RuotaSxPost2Copricerchio = read_nurbs("RuotaSxPost2Copricerchio.db");
  set_attribute(RuotaSxPost2Copricerchio, Metallo);
  set_translate(RuotaSxPost2Copricerchio, +4.599923, -0.4999617, 0.0);
  set_scale(RuotaSxPost2Copricerchio,1.70,1.0,1.70);
  set_projection_texture(RuotaSxPost2Copricerchio, Metallo,"Texture/Truck_Wheel.hr",1,0,fAmbientReflection,1);
  set_y_rotate(RuotaSxPost2Copricerchio, 130, 1);
  set_scale(RuotaSxPost2Copricerchio,1/1.70,1/1.0,1/1.7);
  set_translate(RuotaSxPost2Copricerchio, -4.599923, 0.4999617, 0.0);

  RuotaSxPost2Lato1 = read_nurbs("RuotaSxPost2Lato1.db");
  set_attribute(RuotaSxPost2Lato1, Gomma);

  RuotaSxPost2Lato2 = read_nurbs("RuotaSxPost2Lato2.db");
  set_attribute(RuotaSxPost2Lato2, Gomma);
  set_translate(RuotaSxPost2Lato2, +4.599923, -0.4999617, 0.0);
  set_scale(RuotaSxPost2Lato2,1.70,1.0,1.70);
  set_projection_texture(RuotaSxPost2Lato2, Gomma,"Texture/Truck_Wheel.hr",1,0,fAmbientReflection,1);
  set_y_rotate(RuotaSxPost2Lato2, 10, 1);
  set_scale(RuotaSxPost2Lato2,1/1.70,1/1.0,1/1.7);
  set_translate(RuotaSxPost2Lato2, -4.599923, 0.4999617, 0.0);






  ScaliniDxScasso = read_nurbs("ScaliniDxScasso.db");
  set_attribute(ScaliniDxScasso, Blue);
  set_projection_texture(ScaliniDxScasso, Blue,"Texture/blue.hr",1,1,fAmbientReflection,1);

  ScaliniDxSuperfice = read_nurbs("ScaliniDxSuperfice.db");
  set_attribute(ScaliniDxSuperfice, Giallo);
  set_projection_texture(ScaliniDxSuperfice, Giallo,"Texture/yellow.hr",1,1,fAmbientReflection,1);
  set_translate(ScaliniDxSuperfice, 0.0, -0.05, 0.0);

  ScaliniSxScasso = read_nurbs("ScaliniSxScasso.db");
  set_attribute(ScaliniSxScasso, Blue);
  set_projection_texture(ScaliniSxScasso, Blue,"Texture/blue.hr",1,1,fAmbientReflection,1);

  ScaliniSxSuperfice = read_nurbs("ScaliniSxSuperfice.db");
  set_attribute(ScaliniSxSuperfice, Giallo);
  set_projection_texture(ScaliniSxSuperfice, Giallo,"Texture/yellow.hr",1,1,fAmbientReflection,1);
  set_translate(ScaliniSxSuperfice, 0.0, +0.05, 0.0);




  SportelloDx = read_nurbs("SportelloDx.db");
  set_attribute(SportelloDx, Giallo);
  set_translate(SportelloDx, 0.00, 0, -2.20);

  set_scale(SportelloDx,1.65,1.0,1.25);
  set_projection_texture(SportelloDx, Giallo,"Texture/Sportello2.hr",1,0,fAmbientReflection,1);
  set_scale(SportelloDx,1/1.65,1,1/1.25);
  set_translate(SportelloDx, -0.00, 0, +2.20);

  SportelloFinestrinoDx = read_nurbs("SportelloFinestrinoDx.db");
  set_attribute(SportelloFinestrinoDx, VetroTruck);

  SportelloFinestrinoSx = read_nurbs("SportelloFinestrinoSx.db");
  set_attribute(SportelloFinestrinoSx, VetroTruck);

  SportelloSx = read_nurbs("SportelloSx.db");
  set_attribute(SportelloSx, Giallo);
//  set_translate(SportelloSx, 0.00, -3.400001, -2.392473);
  set_translate(SportelloSx, 0.00, -3.400001, -2.20);
  set_scale(SportelloSx,1.65,1.0,1.25);
  set_projection_texture(SportelloSx, Giallo,"Texture/Sportello2.hr",1,0,fAmbientReflection,1);
  set_scale(SportelloSx,1/1.65,1,1/1.25);
  set_translate(SportelloSx, 0.00, +3.400001, +2.20);
//  set_translate(SportelloSx, 0.00, +3.400001, +2.392473);

  TargaBarra = read_nurbs("TargaBarra.db");
  set_attribute(TargaBarra, Giallo);
  set_translate(TargaBarra, 5.299999, -1.699999, -0.2499997);
  set_scale(TargaBarra,1.0,0.5,3.5);
  set_z_rotate(TargaBarra, 90, 1);
  set_y_rotate(TargaBarra, -90, 1);
  set_projection_texture(TargaBarra, Giallo,"Texture/Targa.hr",1,0,fAmbientReflection,1);
  set_y_rotate(TargaBarra, 90, 1);
  set_z_rotate(TargaBarra, -90, 1);
  set_scale(TargaBarra,1.0,1/0.5,1/3.5);
  set_translate(TargaBarra, -5.299999, 1.699999, 0.2499997);



  TargaBarraDx = read_nurbs("TargaBarraDx.db");
  set_attribute(TargaBarraDx, Rosso);

  TargaBarraSx = read_nurbs("TargaBarraSx.db");
  set_attribute(TargaBarraSx, Rosso);





// Environment										 



  strada = read_nurbs("strada.db");							 
  set_z_rotate(strada,90,1);								 
  set_projection_texture(strada,trueblack,"Texture/asfalto.hr",2,1,fAmbientReflection,1);		 
  set_z_rotate(strada,-90,1);								 

  gommapilasotto = read_nurbs("gommapilasotto.db");					 
  set_domain_texture(gommapilasotto,trueblack,"Texture/tyre.hr",0,1,0,1,0,fAmbientReflection,1);		 
  gommapilasopra = read_nurbs("gommapilasopra.db");					 
  set_domain_texture(gommapilasopra,trueblack,"Texture/tyre.hr",0,1,0,1,0,fAmbientReflection,1);
		 
  gommapilacentro = read_nurbs("gommapilacentro.db");					 
  set_domain_texture(gommapilacentro, Gomma, "Texture/Battistrada.hr", 0.0, 1.0, 0.0, 1.0, 1, fAmbientReflection, 0.8);

  murodietro = read_nurbs("paretedietro.db");						 
  set_translate(murodietro,0,25,0);							 

  set_projection_texture(murodietro,grey,"Texture/walls.hr",0,1,fAmbientReflection,1);	
//  set_domain_texture(murodietro, grey, "Texture/walls.hr", 0.0, 1.0, 0.0, 1.0, 1, 1, 1);		 

  set_translate(murodietro,0,-25,0);							 

  murosinistra = read_nurbs("paretesinistra.db");					 
  set_y_rotate(murosinistra,90,1);							 
  set_projection_texture(murosinistra,grey,"Texture/walls.hr",1,1,fAmbientReflection,1);			 
  set_y_rotate(murosinistra,-90,1);							 

  murodestra = read_nurbs("paretedestra.db");						 
  set_y_rotate(murodestra,90,1);							 
  set_projection_texture(murodestra,grey,"Texture/walls.hr",1,1,fAmbientReflection,1);			 
  set_y_rotate(murodestra,-90,1);							 

  muroavantipicc = read_nurbs("muroavantsopr.db");					 
  set_projection_texture(muroavantipicc,grey,"Texture/walls.hr",0,1,fAmbientReflection,1);		 

  muroavantigrande = read_nurbs("pareteavantigrande.db");				 
  set_projection_texture(muroavantigrande,grey,"Texture/walls.hr",0,1,fAmbientReflection,1);		 

  muroavantigrandeplus = read_nurbs("pareteavantigrandeplus.db");				 
  set_projection_texture(muroavantigrandeplus,grey,"Texture/walls.hr",0,1,fAmbientReflection,1);	

  saracinesca = read_nurbs("serranda.db");						 
  set_x_rotate(saracinesca,90,1);							 
  set_scale(saracinesca,1,1,0.1);	
  set_projection_texture(saracinesca,trueblack,"Texture/saracinesca.hr",0,1,fAmbientReflection,1);	 
  set_scale(saracinesca,1,1,10);							 
  set_x_rotate(saracinesca,-90,1);							 

  soffitto = read_nurbs("soffitto.db");							 
  set_projection_texture(soffitto,grey,"Texture/Roof.hr",2,1,fAmbientReflection,1);			 

  quadro1 = read_nurbs("quadro1.db");							 
  set_domain_texture(quadro1,trueblack,"Texture/tools1.hr",0,1,0,1,0,fAmbientReflection,0.5);		 

  quadro2 = read_nurbs("quadro2.db");							 
  set_domain_texture(quadro2,trueblack,"Texture/tools2.hr",0,1,0,1,0,fAmbientReflection,0.5);		 

  quadro3 = read_nurbs("quadro3.db");							 
  set_domain_texture(quadro3,trueblack,"Texture/tools3.hr",0,1,-0.2,1.2,0,fAmbientReflection,0.5);	 

  tavolo = read_nurbs("tavolo.db");							 
  set_scale(tavolo,(float) 1/5,1,5);							 
  set_projection_texture(tavolo,trueblack,"Texture/wood.hr",2,1,fAmbientReflection,1);			 
  set_scale(tavolo, 5, 1, (float) 1/5);							 
  tavolopiede1 = read_nurbs("piedetavolo1.db");						 
  set_domain_texture(tavolopiede1,trueblack,"Texture/wood.hr",0,1,0,1,0,fAmbientReflection,0.5);	 
  tavolopiede2 = read_nurbs("piedetavolo2.db");						 
  set_domain_texture(tavolopiede2,trueblack,"Texture/wood.hr",0,1,0,1,0,fAmbientReflection,0.5);	 
  tavolopiede3 = read_nurbs("piedetavolo3.db");						 
  set_domain_texture(tavolopiede3,trueblack,"Texture/wood.hr",0,1,0,1,0,fAmbientReflection,0.5);	 

  ruotatavoloalto = read_nurbs("ruotatavoloalto.db");					 
  set_domain_texture(ruotatavoloalto,trueblack,"Texture/tyre.hr",0,1,0,1,0,fAmbientReflection,1);	 
  ruotatavolocentro = read_nurbs("ruotatavolocentro.db");				 
  set_domain_texture(ruotatavolocentro,trueblack,"Texture/tyre.hr",0,1,0,1,0,fAmbientReflection,1);	 
  ruotatavolobasso = read_nurbs("ruotatavolobasso.db");					 
  set_domain_texture(ruotatavolobasso,trueblack,"Texture/tyre.hr",0,1,0,1,0,fAmbientReflection,1);	 



  Cabina = create_list(CabinaAlettaDx, "Cabina");
  Cabina = insert_in_list(Cabina,CabinaAlettaSx);
  Cabina = insert_in_list(Cabina,CabinaAltaPiano);
  Cabina = insert_in_list(Cabina,CabinaAltaSmussoAnteriore);
  Cabina = insert_in_list(Cabina,CabinaAltaSmussoLaterale);
  Cabina = insert_in_list(Cabina,CabinaDietro);
  Cabina = insert_in_list(Cabina,CabinaListelloAlto);
  Cabina = insert_in_list(Cabina,CabinaMusoAlto);
  Cabina = insert_in_list(Cabina,CabinaMusoBasso);
  Cabina = insert_in_list(Cabina,CabinaMusoVetro);
  Cabina = insert_in_list(Cabina,CabinaPianoAvanti);
  Cabina = insert_in_list(Cabina,CabinaPianoDietro);
  Cabina = insert_in_list(Cabina,CabinaSportelloDietroDx);
  Cabina = insert_in_list(Cabina,CabinaSportelloDietroSx);
  Cabina = insert_in_list(Cabina,CabinaSupporto1);
  Cabina = insert_in_list(Cabina,CabinaSupporto2);
  Cabina = insert_in_list(Cabina,CabinaSupporto3);
  Cabina = insert_in_list(Cabina,CabinaSupporto4);
  Cabina = insert_in_list(Cabina,CabinaTettoAltoDietro);
  Cabina = insert_in_list(Cabina,CabinaTettoAltoMuso);
  Cabina = insert_in_list(Cabina,CabinaTettoAltoPiatto);




  Codino = create_list(CodinoAlto, "Codino");
  Codino = insert_in_list(Codino,CodinoCabina);
  Codino = insert_in_list(Codino,CodinoDx);
  Codino = insert_in_list(Codino,CodinoFondo);
  Codino = insert_in_list(Codino,CodinoSottoDx);
  Codino = insert_in_list(Codino,CodinoSottoSx);
  Codino = insert_in_list(Codino,CodinoSx);




  Parafango = create_list(ParafangoDietroDx, "Parafango");
  Parafango = insert_in_list(Parafango,ParafangoDietroLateraleDx);
  Parafango = insert_in_list(Parafango,ParafangoDietroLateraleSx);

  Parafango = insert_in_list(Parafango,ParafangoDietroSx);
  Parafango = insert_in_list(Parafango,ParafangoDxCurvoInterno);

  Parafango = insert_in_list(Parafango,ParafangoDxEsterno);
  Parafango = insert_in_list(Parafango,ParafangoDxPiattoInterno);
  Parafango = insert_in_list(Parafango,ParafangoSxCurvoInterno);
  Parafango = insert_in_list(Parafango,ParafangoSxEsterno);
  Parafango = insert_in_list(Parafango,ParafangoSxPiattoInterno);





  Paraurti = create_list(ParaurtiBasso, "Paraurti");
  Paraurti = insert_in_list(Paraurti,ParaurtiRadiatore);




  RuotaDx = create_list(RuotaDxBattistrada, "Ruota Destra");
  RuotaDx = insert_in_list(RuotaDx,RuotaDxCopricerchio1);
  RuotaDx = insert_in_list(RuotaDx,RuotaDxCopriCerchio2);
  RuotaDx = insert_in_list(RuotaDx,RuotaDxLato1);
  RuotaDx = insert_in_list(RuotaDx,RuotaDxLato2);
  RuotaDx = insert_in_list(RuotaDx,RuotaDxPost1Batistrada);
  RuotaDx = insert_in_list(RuotaDx,RuotaDxPost1Copricerchio);
  RuotaDx = insert_in_list(RuotaDx,RuotaDxPost1Lato1);
  RuotaDx = insert_in_list(RuotaDx,RuotaDxPost1Lato2);
  RuotaDx = insert_in_list(RuotaDx,RuotaDxPost2Batistrada);
  RuotaDx = insert_in_list(RuotaDx,RuotaDxPost2Copricerchio);
  RuotaDx = insert_in_list(RuotaDx,RuotaDxPost2Lato1);
  RuotaDx = insert_in_list(RuotaDx,RuotaDxPost2Lato2);





  RuotaSx = create_list(RuotaSxBatistrada, "Ruota Sinistra");
  RuotaSx = insert_in_list(RuotaSx,RuotaSxCopricerchio1);
  RuotaSx = insert_in_list(RuotaSx,RuotaSxCopriCerchio2);
  RuotaSx = insert_in_list(RuotaSx,RuotaSxLato1);
  RuotaSx = insert_in_list(RuotaSx,RuotaSxLato2);
  RuotaSx = insert_in_list(RuotaSx,RuotaSxPost1Batistrada);
  RuotaSx = insert_in_list(RuotaSx,RuotaSxPost1CopriCerchio);
  RuotaSx = insert_in_list(RuotaSx,RuotaSxPost1Lato1);
  RuotaSx = insert_in_list(RuotaSx,RuotaSxPost1Lato2);
  RuotaSx = insert_in_list(RuotaSx,RuotaSxPost2Batistrada);
  RuotaSx = insert_in_list(RuotaSx,RuotaSxPost2Copricerchio);
  RuotaSx = insert_in_list(RuotaSx,RuotaSxPost2Lato1);
  RuotaSx = insert_in_list(RuotaSx,RuotaSxPost2Lato2);



  Scalini = create_list(ScaliniDxScasso, "Scalini");
  Scalini = insert_in_list(Scalini,ScaliniDxSuperfice);
  Scalini = insert_in_list(Scalini,ScaliniSxScasso);
  Scalini = insert_in_list(Scalini,ScaliniSxSuperfice);


  Sportello = create_list(SportelloDx, "Sportello");
  Sportello = insert_in_list(Sportello,SportelloFinestrinoDx);
  Sportello = insert_in_list(Sportello,SportelloFinestrinoSx);
  Sportello = insert_in_list(Sportello,SportelloSx);



  Targa = create_list(TargaBarra, "Targa");
  Targa = insert_in_list(Targa,TargaBarraDx);
  Targa = insert_in_list(Targa,TargaBarraSx);





  Truk = create_list(Cabina, "Truk");
  Truk = insert_in_list(Truk,Codino);
  Truk = insert_in_list(Truk,Parafango);
  Truk = insert_in_list(Truk,Paraurti);
  Truk = insert_in_list(Truk,RuotaDx);
  Truk = insert_in_list(Truk,RuotaSx);
  Truk = insert_in_list(Truk,Scalini);
  Truk = insert_in_list(Truk,Sportello);
  Truk = insert_in_list(Truk,Targa);


  Environment = create_list(strada, "Environment");		 

  pilagomme[0] = create_list(gommapilasopra, "Gommapila");	 
  pilagomme[0] = insert_in_list(pilagomme[0],gommapilacentro);	 
  pilagomme[0] = insert_in_list(pilagomme[0],gommapilasotto);	 
  Environment = insert_in_list(Environment,pilagomme[0]);	 

  for(i=1;i<6;i++){						 

	pilagomme[i] = create_copy(pilagomme[i-1],"Gommapila");	 
	set_translate(pilagomme[i],0,0,0.35);			 
 	Environment = insert_in_list(Environment,pilagomme[i]);	 

  }								 

  Environment = insert_in_list(Environment,murodietro);		 
  Environment = insert_in_list(Environment,murosinistra);	 
  Environment = insert_in_list(Environment,murodestra);		 
  Environment = insert_in_list(Environment,muroavantipicc);	 
  Environment = insert_in_list(Environment,muroavantigrande);	 
  Environment = insert_in_list(Environment,muroavantigrandeplus);
  Environment = insert_in_list(Environment,saracinesca);	 
  Environment = insert_in_list(Environment,soffitto);		 
  Environment = insert_in_list(Environment,quadro1);		 
  Environment = insert_in_list(Environment,quadro2);		 
  Environment = insert_in_list(Environment,quadro3);		 
  Environment = insert_in_list(Environment,tavolo);		 
  Environment = insert_in_list(Environment,tavolopiede1);	 
  Environment = insert_in_list(Environment,tavolopiede2);	 
  Environment = insert_in_list(Environment,tavolopiede3);	 
  Environment = insert_in_list(Environment,ruotatavoloalto);	 
  Environment = insert_in_list(Environment,ruotatavolocentro);	 
  Environment = insert_in_list(Environment,ruotatavolobasso);	 



  set_translate(Environment,-1,0,-0.3);



  scene = create_list(Truk, "scene");
  scene = insert_in_list(scene,Environment);
  

  char* FileName; 
  int iDecine;
  int iUnita;
  int NumberFrame;

  NumberFrame = 100;

  //strcpy(FileName, "trukVideoXX.md");

  for (i=0; i<NumberFrame; i++) 
  {
      // alzo la saracinesca
      set_translate(saracinesca,0,0,0.1);	

	// Accendo le luci
      if (i == 60)
      {
/*
          create_warn_light(2.924,-2.955,3.070, -0.539,0.797,-0.269, 1,1,1, 0.8, 40, 5, 82, 0, 0, 0, 1, 5,"angoloAltoAvantiDx");
          create_warn_light(-4.620,-1.623,2.788, 0.667,0.678,-0.307, 1,1,1, 0.8, 40, 5, 82, 0, 0, 0, 1, 5,"angoloAltoDietroDx");
          create_warn_light(3.191,6.272,2.936, -0.640,-0.675,-0.361, 1,1,1, 0.8, 40, 5, 82, 0, 0, 0, 1, 5,"angoloAltoAvantiSx");
          create_warn_light(-4.620,6.588,2.788, 0.47,-0.8,-0.363, 1,1,1, 0.8, 40, 5, 82, 0, 0, 0, 1, 5,"angoloAltoDietroSx");
*/

//	  create_point_light(37.95, 1.42, 20.58, 1,1,1, 1,0, "LuceEsterna2");

	  create_point_light(2.924,-2.955,3.070, 1,1,1, 1,0,"angoloAltoAvantiDx");
          create_point_light(-4.620,-1.623,2.788, 1,1,1, 1,0,"angoloAltoDietroDx");
          create_point_light(3.191,6.272,2.936, 1,1,1, 1,0,"angoloAltoAvantiSx");
          create_point_light(-4.620,6.588,2.788, 1,1,1, 1,0,"angoloAltoDietroSx");
      }

    //  iDecine = (int) i / 10;
     // iUnita = i % 10;
    //  FileName[9] = (char)(iDecine + 48);
    //  FileName[10] = (char)(iUnita + 48);
      
      save_scene_ani(NumberFrame,"TruckVideo.ani","trukVideo","scena_truk",scene);

  }

  return(0);
}

